Firefox 3 Rated 5 out of 5 stars

Love the add-on. When it didn't work with Firefox 3, I went back to 2.0.0.1.5. When this add-on is compatible, I'll upgrade Firefox.